<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Specification;

use Dedi\SyliusQuotePlugin\Entity\QuoteInterface;
use Dedi\SyliusQuotePlugin\Enum\QuoteStateEnum;

class IsQuoteUsableSpecification
{
    public function __invoke(QuoteInterface $quote): bool
    {
        return in_array($quote->getState(), [
            QuoteStateEnum::STATE_ACCEPTED,
            QuoteStateEnum::STATE_ACCEPTED_RESUPPLY,
            QuoteStateEnum::STATE_VALIDATED,
        ], true);
    }
}
